using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenje2._2
{
    class Program
    {
        static void sortMetodRazmene(ref int[]niz,ref float[] a, int n)
        {
            int i, j;
            for (i = 0; i < n - 1; i++)
                for (j = i + 1; j < n; j++)
                    if (a[i] > a[j])
                    {
                        razmeni(ref a[i], ref a[j]);
                        razmenic(ref niz[i], ref niz[j]);
                    }
        }
        static void razmeni(ref float x, ref float y)
        {
            float p = x;
            x = y;
            y = p;
        }
        static void razmenic(ref int x, ref int y)
        {
            int p = x;
            x = y;
            y = p;
        }
        static void Main(string[] args)
        {
            int n, s = 0;
            double max = 0; 
            n = int.Parse(Console.ReadLine());
            int[] niz = new int[n];
            float[] niz1 = new float[n];
            double[] niz2 = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] nz = Console.ReadLine().Split();
                niz[i] = int.Parse(nz[0]);
                niz1[i] = float.Parse(nz[1]);
                niz1[i] /= 100;
                s += niz[i];
            }
            sortMetodRazmene(ref niz, ref niz1, n);
            max = 0;
            for(int i=0;i<n;i++)
            {
                niz2[i] = Convert.ToDouble(s * niz1[i]);
                if (niz2[i] > max)
                    max = niz2[i];
                s -= niz[i];
            }
            Console.WriteLine(max);
            Console.ReadLine();
        }
    }
}